# One-Way ANOVA program
# computes one way analysis of variance for equal size group data
# 3 group means

data = c(3,2,4,2,1,5,1,2,1,3,4,3,3,4,3,4,3,4,3,6,6,5,4,7,5,5,5,6,4,7)
expgrps = rep(c("Control","15 mg","30 mg"),c(10,10,10))

Y = data.frame(data,expgrps)
Y

options(scipen=999)
expgrps = factor(expgrps)
out = aov(data ~ expgrps)
summary(out)

# Descriptive statistics Mean and Standard Deviation

mean(data)                  # grand mean
by(Y$data,Y$expgrps,mean)   # group mean
by(Y$data,Y$expgrps,sd)     # group standard deviation
