# Repeated Measures - One Factor
# Data input

mydata = c(2,2,3,4,5,4,5,4,6,3,6,7,8,9,9)
S = rep(c("1","2","3","4","5"),c(3))
A = rep(c("before","middle","end"),c(5,5,5))

Y = data.frame(S, A, mydata)
attach(Y)
Y

# Repeated Measures - Fixed Effects

options (scipen=999)   # removes scientific notation
S = factor(S)
A = factor(A)

out = aov(mydata ~ A + Error(S), data = Y)
summary(out)
print(model.tables(out,"means"),digits = 3)




