# Repeated Measures Two-factor
# Data input

mydata = c(2,2,3,4,5,4,5,4,6,3,6,7,8,9,9)
S = rep(c("1","2","3","4","5"),c(3))
A = rep(c("before","middle","end"),c(5,5,5))
B = rep(c("fresh","soph", "junior", "senior", "grad"),c(3))

Y = data.frame(S, A, B, mydata)
attach(Y)
Y

# Repeated Measures - Fixed Effects

options (scipen=999)   # removes scientific notation
A = factor(A)
B = factor(B)

out = aov(mydata ~ A + B , data = Y)
summary(out)
print(model.tables(out,"means"),digits = 3)
