# Chapter 9 Linear Regression with Intercept 
# Data

Y = c(90,85,80,75,90,80,85,70,75,70)
X = c(5,4,3,2,3,2,5,1,3,2)

mean(Y);sd(Y)
mean(X);sd(X)

cor.test(X,Y)

mydata = data.frame(X,Y)
attach(mydata)

options(scipen=999)
out = lm(Y ~ X, data = mydata)
summary(out)

# compute predicted values

Yhat = 66.875 + 4.375 * X
Yhat

# compute residual error values

e = Y - Yhat
e

# Plot regression results

plot (X,Y, ylim =c(0,100))
abline (a = 66.875, b = 4.375)



