# Chapter 10 Multiple Regression with Intercept
# The data was extracted from the 1974 Motor Trend US magazine
# and includes fuel consumption and 10 aspects of automobile
# design  and performance for 32 automobiles (1973–74 models)

attach(mtcars)
mtcars 


# Multiple Regression with Intercept

mean(mpg); sd (mpg)
mean(hp); sd (hp)
mean(wt); sd (wt)

mydata1 = data.frame(mpg, hp, wt)
mydata.cor1 = cor(mydata1, method = c("pearson"))
mydata.cor1

options (scipen = 999)
out1 = lm(mpg ~ hp + wt, data = mydata1)
summary (out1)

# Compute predicted values using regression estimates and
# Plot regression results for predicted vs. actual values

predmpg = 37.22727 + -.03177*hp + -3.87783*wt
plot (predmpg,mpg)
abline(a = 0,b = 1)

